// material-ui
import * as React from 'react';
import {
    GridActionsCellItem,
} from "@mui/x-data-grid";
import {FiDataGrid} from "components/FiDataGrid";
import EditIcon from '@mui/icons-material/Edit';
import {useEffect} from "react";
import {useNavigate} from "react-router-dom";
// ==============================|| EVENT TABLE ||============================== //

export default function UserGroupTable({recordList}) {
    const [rows, setRows] = React.useState(recordList);
    const navigate = useNavigate()

    useEffect(() => {
        setRows(recordList);
    }, [recordList]);

    const handleEditClick = (id) => () => {
        navigate('/userGroup/'+ id);
    };

    const columns = [
        {
            field: 'actions',
            type: 'actions',
            headerName: 'Actions',
            width: 100,
            cellClassName: 'actions',
            getActions: ({id}) => {
                return [
                    <GridActionsCellItem
                        key="OutSave"
                        icon={<EditIcon/>}
                        label="Edit"
                        className="textPrimary"
                        onClick={handleEditClick(id)}
                        color="primary"
                    />]
            },
        },
        {
            id: 'groupName',
            field: 'name',
            headerName: 'User Group Name',
            flex: 1,
        },
        {
            id: 'description',
            field: 'description',
            headerName: 'User Group Description',
            flex: 1,
        },
    ];

    function handleRowDoubleClick(params) {
        navigate('/userGroup/'+ params.id);
    }

    return (
        <div style={{height: "fit-content", width: '100%'}}>
            <FiDataGrid
                rows={rows}
                columns={columns}
                customPageSize={10}
                pageSizeOptions={[10, 15, 20]}
                onRowDoubleClick={handleRowDoubleClick}
            />
        </div>
    );
}
